> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Responses

> Omniall AI 上的 OpenAI Responses API 格式。

# Responses

OpenAI **Responses** 格式（与 Chat Completions 不同）：

```http theme={null}
POST https://api.omniall.ai/v1/responses
Authorization: Bearer sk-...
```

| 端点 | 用途 |
| - | - |
| `POST /v1/responses` | 创建响应 |
| `POST /v1/responses/compact` | 压缩长对话 |

| 场景 | 用法 |
| - | - |
| 文本 | `input` 字符串或条目 |
| 图像识别 | `input_image` |
| 文件分析 | `input_file` |
| 联网搜索 | 工具 `{ "type": "web_search_preview" }` |
| Agent | `tools` 中的函数工具 |
| 多轮 | `previous_response_id` |
| 推理 | `reasoning.effort` |

官方文档：[Responses](https://platform.openai.com/docs/api-reference/responses)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.